<script setup lang="ts">
import { useStockStore } from '@/stores/stock';
import { onMounted, ref } from 'vue';
import StockDelete from "./StockDelete.vue";
import StockDialog from './StockDialog.vue';
import CheckStockDetailDialog from './CheckStockDetailDialog.vue';


const userString = localStorage.getItem("user");
const user = userString ? JSON.parse(userString) : null;
const TextField = ref(false);
const stockStore = useStockStore();
onMounted(async () => {
  await stockStore.getStockLists();
  await stockStore.getStocks();
});

function showTextField() {
  TextField.value = true;
}

function formatDate(date: string): string {
  return new Date(date).toLocaleDateString('th-TH', {
    year: 'numeric',
    month: 'long',
    day: 'numeric',
    hour: 'numeric',
    minute: 'numeric'
  })
}

const options = { dateStyle: 'short', timeStyle: 'short' };
// const formattedDate = date.toLocaleString(undefined, options);
// console.log(formattedDate);
function xyz(){
  if(stockStore.searchStockList){
    stockStore.getCheckStockLists(stockStore.searchStockList);
  }else{
    stockStore.getStockLists();
  }
}

setInterval(xyz, 1000);
</script>

<template>
  <CheckStockDetailDialog></CheckStockDetailDialog>
  <v-container fluid fill-height class="d-flex justify-center align-center">
    <v-row class="justify-center">
      <v-col>
        <v-card class="ma-5" color="#EEF2E6">
          <v-row class="justify-center">
            <v-card class="pa-5 ma-2 text-h4 text-center" width="100%" color="#1C6758" style="color: white"><label
                style="padding: 10px;">ใบเช็คสต๊อก</label>
              <v-icon color="white" @click="showTextField()">mdi-magnify</v-icon>
              <v-text-field class="input" label="ค้นหาใบเช็คสต๊อก (วันที่)" v-model="stockStore.searchStockList" v-if="TextField"
                @blur="TextField = false"></v-text-field></v-card>
          </v-row>
          <v-table id="table" style="padding-top: 10px;">
            <thead>
              <tr>
                <!-- <th>ID</th> -->
                <th>Check Date</th>
                <th>Name</th>
                <th>Detail</th>
              </tr>
            </thead>
            <tbody>
              <tr v-for="item of stockStore.checkStockLists" :key="item.id">
                <td>{{ new Date(item.createdAt!).toLocaleDateString('af-ZA') }}</td>
                <td>{{ item.user?.fname + ' ' + item.user?.lname }}</td>
                <td class="text-center">
                  <span style="padding-right: 10px">
                    <v-btn icon round class="btno" @click="stockStore.getStockDetails(item)">
                      <v-icon>mdi-note-text</v-icon>
                    </v-btn>
                  </span>
                </td>
              </tr>
            </tbody>
          </v-table>
        </v-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<style scoped>
@import url("https://fonts.googleapis.com/css2?family=Noto+Sans+Thai:wght@100&display=swap");

label {
  font-family: "Noto Sans Thai", sans-serif;
  font-weight: bold;
  font-size: 48px !important;
}

.input {
  font-family: "Noto Sans Thai", sans-serif;
}

th {
  font-family: "Noto Sans Thai", sans-serif;
  font-size: 24px !important;
  text-align: center;
  font-weight: bold !important;
}

td {
  font-family: "Noto Sans Thai", sans-serif;
  font-size: 18px !important;
  font-weight: bold;
  text-align: center;
}

#table {
  border-collapse: collapse;
  width: 100%;
}

#table td,
#table th {
  padding: 10px;
  text-align: center;
}

#table th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: center;
  background-color: #1c6758;
  color: white;

}

#table tr {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
  background-color: #FFEFCF;
  color: black;
}

.btng {
  background-color: #92D050;
  font-weight: bold !important;
  font-size: 16px !important;
}

.btnr {
  background-color: #FF4A4A;
}

.btno {
  background-color: #FFC000;
}
</style>